aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorKlement Sekera <ksekera@cisco.com>2017-08-16 16:38:10 +0200
committerNeale Ranns <nranns@cisco.com>2017-08-18 10:34:39 +0000
commit8712ada6c3a84b2f75a25457ec6d477f3683787c (patch)
tree27e194a51ebfae3512ef9a84a703c00688c45c2b
parent30fb4a2f43cb1c47c8fbe986f88e7d8faad86f23 (diff)
make test: fix broken passing of return value
Change-Id: I2cb83caaf55ca9a29c06d71c6d20f8273ec062b3 Signed-off-by: Klement Sekera <ksekera@cisco.com>
-rwxr-xr-xtest/scripts/run_in_venv_with_cleanup.sh7
-rwxr-xr-xtest/scripts/setsid_wrapper.sh4
2 files changed, 6 insertions, 5 deletions
diff --git a/test/scripts/run_in_venv_with_cleanup.sh b/test/scripts/run_in_venv_with_cleanup.sh
index 541f584a..35b6737e 100755
--- a/test/scripts/run_in_venv_with_cleanup.sh
+++ b/test/scripts/run_in_venv_with_cleanup.sh
@@ -14,7 +14,7 @@ atexit() {
kill -9 $id
fi
done
- exit $rv
+ exit ${rv}
}
trap "atexit;" SIGINT SIGTERM
@@ -30,9 +30,10 @@ then
$*
else
$* &
- wait
+ pid=$!
+ wait ${pid}
fi
rv=$?
atexit
-exit $rv
+exit ${rv}
diff --git a/test/scripts/setsid_wrapper.sh b/test/scripts/setsid_wrapper.sh
index e18b6ad5..6d63426b 100755
--- a/test/scripts/setsid_wrapper.sh
+++ b/test/scripts/setsid_wrapper.sh
@@ -3,10 +3,10 @@
if [[ "$1" == "1" ]]
then
setsid scripts/run_in_venv_with_cleanup.sh $*
- pid=$!
else
setsid scripts/run_in_venv_with_cleanup.sh $* &
pid=$!
trap "echo setsid_wrapper.sh: got signal, killing child pid ${pid}; kill ${pid}; sleep .1;" SIGINT SIGTERM
- wait
+ wait ${pid}
+ exit $?
fi